Rails.application.routes.draw do

locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      get 'archive_files/categories_order' => 'archive_files#categories_order'
      post 'archive_files/categories_order' => 'archive_files#save_categories_order'
      resources :archive_files
   end
   get "/xhr/archive/download" => "archives#download_file"
   get "/xhr/web/cmaps/:file_name.:extension" => "archives#serve_cmap"
  end

end
